Qt 5.11 | Qt Multimedia | C++ Classes | QVideoEncoderSettingsControl

Qt 5.11.3 Reference Documentation

# QVideoEncoderSettingsControl Class

The QVideoEncoderSettingsControl class provides access to the settings of a media service that performs video encoding. More...

Header: | #include <QVideoEncoderSettingsControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QVideoEncoderSettingsControl()
virtual void | setVideoSettings(const QVideoEncoderSettings &settings) = 0
virtual QList<qreal> | supportedFrameRates(const QVideoEncoderSettings &settings, bool *continuous = nullptr) const = 0
virtual QList<QSize> | supportedResolutions(const QVideoEncoderSettings &settings, bool *continuous = nullptr) const = 0
virtual QStringList | supportedVideoCodecs() const = 0
virtual QString | videoCodecDescription(const QString &codec) const = 0
virtual QVideoEncoderSettings | videoSettings() const = 0

## Protected Functions

| QVideoEncoderSettingsControl(QObject *parent = nullptr)

## Macros

| QVideoEncoderSettingsControl_iid

## Detailed Description

The QVideoEncoderSettingsControl class provides access to the settings of a media service that performs video encoding.

If a QMediaService supports encoding video data it will implement QVideoEncoderSettingsControl. This control provides information about the limits of restricted video encoder options and allows the selection of a set of video encoder settings as specified in a QVideoEncoderSettings object.

The functionality provided by this control is exposed to application code through the QMediaRecorder class.

The interface name of QVideoEncoderSettingsControl is `org.qt-project.qt.videoencodersettingscontrol/5.0` as defined in QVideoEncoderSettingsControl_iid.

See also QMediaRecorder, QVideoEncoderSettings, and QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QVideoEncoderSettingsControl::QVideoEncoderSettingsControl(QObject *parent = nullptr)

Create a new video encoder settings control object with the given parent.

### `[virtual]` QVideoEncoderSettingsControl::~QVideoEncoderSettingsControl()

Destroys a video encoder settings control.

### `[pure virtual]` void QVideoEncoderSettingsControl::setVideoSettings(const QVideoEncoderSettings &settings)

See also videoSettings().

### `[pure virtual]` QList<qreal> QVideoEncoderSettingsControl::supportedFrameRates(const QVideoEncoderSettings &settings, bool *continuous = nullptr) const

### `[pure virtual]` QList<QSize> QVideoEncoderSettingsControl::supportedResolutions(const QVideoEncoderSettings &settings, bool *continuous = nullptr) const

### `[pure virtual]` QStringList QVideoEncoderSettingsControl::supportedVideoCodecs() const

### `[pure virtual]` QString QVideoEncoderSettingsControl::videoCodecDescription(const QString &codec) const

### `[pure virtual]` QVideoEncoderSettings QVideoEncoderSettingsControl::videoSettings() const

See also setVideoSettings().

## Macro Documentation

### QVideoEncoderSettingsControl_iid

`org.qt-project.qt.videoencodersettingscontrol/5.0`

Defines the interface name of the QVideoEncoderSettingsControl class.